# Update cluster

**PATCH /v1/clusters/{cluster.id}**

Update a Redpanda cluster.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters

### Path parameters
- **cluster.id** (string)
  ID of the cluster.


### Body: application/json (object)
ClusterUpdate

Resource describing an Update Cluster.
- **api_gateway_access** (string)
  Network access mode for an endpoint.
- **aws_private_link** (object)
  AWS PrivateLink specification.
- **azure_private_link** (object)

- **cloud_provider_tags** (object)
  Tags that are placed on Cloud resources.
  If the cloud provider is GCP and the name of a tag has the prefix "gcp.network-tag.", the tag
  is a network tag that will be added to the Redpanda cluster GKE nodes. Otherwise, the tag
  is a normal tag.
  For example, if the name of a tag is "gcp.network-tag.network-tag-foo", the network tag named
  "network-tag-foo" will be added to the Redpanda cluster GKE nodes.
  Note: The value of a network tag will be ignored.
  See the official [GCP VPC](https://cloud.google.com/vpc/docs/add-remove-network-tags) for more details on network tags.
- **cloud_storage** (object)

- **cluster_configuration** (object)

- **customer_managed_resources** (object)

- **gcp_private_service_connect** (object)

- **http_proxy** (object)
  Cluster's HTTP Proxy properties. See [Use Redpanda with the HTTP Proxy API](https://docs.redpanda.com/redpanda-cloud/develop/http-proxy/) and the [HTTP Proxy API reference](https://docs.redpanda.com/api/doc/http-proxy) for more information.
- **kafka_api** (object)
  Cluster's Kafka API properties.
- **kafka_connect** (object)

- **maintenance_window_config** (object)
  Resource describing the maintenance window configuration of a cluster.
- **name** (string)
  Unique name of the cluster.
- **read_replica_cluster_ids** (array[string])
  IDs of clusters which may create read-only topics from this cluster.
- **redpanda_node_count** (integer(int32))

- **schema_registry** (object)
  Cluster's Schema Registry properties. See the [Schema Registry overview](https://docs.redpanda.com/redpanda-cloud/manage/schema-reg/schema-reg-overview/) and the [Schema Registry API reference](https://docs.redpanda.com/api/doc/schema-registry) for more information.
- **throughput_tier** (string)



## Responses
### 202
Accepted

#### Body: application/json (object)
- **api_gateway_access** (string)
  Network access mode for an endpoint.
- **aws_private_link** (object)
  AWS PrivateLink specification.
- **azure_private_link** (object)

- **cloud_provider_tags** (object)
  Tags that are placed on Cloud resources.
  If the cloud provider is GCP and the name of a tag has the prefix "gcp.network-tag.", the tag
  is a network tag that will be added to the Redpanda cluster GKE nodes. Otherwise, the tag
  is a normal tag.
  For example, if the name of a tag is "gcp.network-tag.network-tag-foo", the network tag named
  "network-tag-foo" will be added to the Redpanda cluster GKE nodes.
  Note: The value of a network tag will be ignored.
  See the official [GCP VPC](https://cloud.google.com/vpc/docs/add-remove-network-tags) for more details on network tags.
- **cloud_storage** (object)

- **cluster_configuration** (object)

- **customer_managed_resources** (object)

- **gcp_private_service_connect** (object)

- **http_proxy** (object)
  Cluster's HTTP Proxy properties. See [Use Redpanda with the HTTP Proxy API](https://docs.redpanda.com/redpanda-cloud/develop/http-proxy/) and the [HTTP Proxy API reference](https://docs.redpanda.com/api/doc/http-proxy) for more information.
- **id** (string)
  ID of the cluster.
- **kafka_api** (object)
  Cluster's Kafka API properties.
- **kafka_connect** (object)

- **maintenance_window_config** (object)
  Resource describing the maintenance window configuration of a cluster.
- **name** (string)
  Unique name of the cluster.
- **read_replica_cluster_ids** (array[string])
  IDs of clusters which may create read-only topics from this cluster.
- **redpanda_node_count** (integer(int32))

- **schema_registry** (object)
  Cluster's Schema Registry properties. See the [Schema Registry overview](https://docs.redpanda.com/redpanda-cloud/manage/schema-reg/schema-reg-overview/) and the [Schema Registry API reference](https://docs.redpanda.com/api/doc/schema-registry) for more information.
- **throughput_tier** (string)


### 404
Not Found

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Please reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
